post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to initiate the network scan of a device. Account and device name as mandatory inputs for this method. To issue a network scan, we must create a network config and assign it to the network scanner device.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account | Account name or ID | Yes | string |
| devicename | Name of the network scanner device to scan | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.NetworkScanner.networkScan(
account="Demo Account",
devicename="endpoint_device"
)
print(response)
client.close()Requires Python 3.9 or later.